StringMap Class Reference
Collaboration diagram for StringMap:
[legend]

## Public Member Functions

| StringMap (int startsize=0)
void | Grow (int newsize)
void | Clear ()
int | Length () const
void * | Object (int i) const
void * | Object (const ::String &key) const
void * | Object (const ::String &key, void *(*create_object)())
void | SetObject (int i, void *object)
void | SetObject (const ::String &key, void *object)
int | Add (const ::String &s, void *object=NULL)
int | Find (const ::String &s, void *(*create_object)()=NULL)
int | Find (const ::String &s) const
int | FindStem (const ::String &stem) const
int | FindFirstStem (const ::String &stem) const
StringMap & | operator= (const StringMap &rhs)
const ::String & | operator[] (int i) const
::String & | operator[] (int i)
::String & | String (int i)
void | Delete (int index)

## Static Public Member Functions

static void * | CreateMap ()

## Static Public Attributes

static int | alloc = 8

## Protected Attributes

::String ** | strings
void ** | objects
int | count
int | size

## Detailed Description

Definition at line 23 of file StringMap.h.

The documentation for this class was generated from the following files:

- general/StringMap.h
- general/StringMap.cpp